Create Order
curl --request POST \
--url https://api.example.com/{version}/orders/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"counterparty_id": 123,
"currency": "<string>",
"note": "<string>",
"fee_bearer": "<string>",
"as_payment_link": true,
"reference_id": "<string>"
}
'import requests
url = "https://api.example.com/{version}/orders/create"
payload = {
"counterparty_id": 123,
"currency": "<string>",
"note": "<string>",
"fee_bearer": "<string>",
"as_payment_link": True,
"reference_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
counterparty_id: 123,
currency: '<string>',
note: '<string>',
fee_bearer: '<string>',
as_payment_link: true,
reference_id: '<string>'
})
};
fetch('https://api.example.com/{version}/orders/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/orders/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'counterparty_id' => 123,
'currency' => '<string>',
'note' => '<string>',
'fee_bearer' => '<string>',
'as_payment_link' => true,
'reference_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 123,
"order_number": "<string>",
"counterparty_id": 123,
"currency": "<string>",
"total_amount": 123,
"note": "<string>",
"status": "<string>",
"fee_bearer": "<string>",
"as_payment_link": true,
"owner_id": 123,
"owner_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"reference_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}orders
Create Order
POST
/
{version}
/
orders
/
create
Create Order
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Allowed value:
"v1"Body
application/json
Response
Successful Response
OrderResponse
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3Amount
Last modified on June 23, 2026
Was this page helpful?
